<?php

use App\Base\Base;
use App\Services\marketing\MarketingGoodsService;
use App\Exception\custom\DistributorException;
use App\Models\goods\mysql\GoodsSku;
use Helpers\Aes;
use Api\PhpServices\JwUser\JwUser;
use Api\PhpServices\Ksy\Ksyun;
class MarketinggoodsController extends Base
{
    const KS3_BASE_URL = 'ks3-cn-beijing.ksyun.com';
    /**
     * 获取全部生效营销活动商品列表
     *
     */
    public function marketing_goods_listAction()
    {
        $params = $this->params;

        $list = MarketingGoodsService::marketingGoodsList($params);
        $this->success($list);
    }

    public function generate_share_goodsAction()
    {
        $params = $this->params;
        $userId = !empty($params['user_id']) ? $params['user_id'] : '';
        $marketingId = !empty($params['marketing_id']) ? $params['marketing_id'] : '';
        $goodsSkuId = !empty($params['goods_sku_id']) ? $params['goods_sku_id'] : '';
        $content = $userId .'_' .$marketingId . '_' .$goodsSkuId;
       

        if (empty($userId)) {
             throw new DistributorException(['cus'=>14]);
        }

        if (empty($marketingId)) {
             throw new DistributorException(['cus'=>15]);
        }

        if (empty($goodsSkuId)) {
             throw new DistributorException(['cus'=>16]);
        }

        $goodsShareId = Aes::encrypt($content);
 
        $jwUser = (new JwUser())->getUserByUserId(['user_id' => $userId]);
        $avatar = '';
        $nickName = '';
        if (!empty($jwUser['data']) && $jwUser['code'] == 0) {
            $avatar = !empty($jwUser['data']['avatar']) ? $jwUser['data']['avatar'] : '';
            $nickName = !empty($jwUser['data']['nickName']) ? $jwUser['data']['nickName'] : '';
        }

        $goodsSkuInfo =  GoodsSku::getRecord(['goods_sku_id' => $goodsSkuId]);

        $goodsName = !empty($goodsSkuInfo['goods_name']) ? $goodsSkuInfo['goods_name'] : '';
        $oldPrice = !empty($goodsSkuInfo['original_price']) ? $goodsSkuInfo['original_price'] : '';
        $price = !empty($goodsSkuInfo['price']) ? $goodsSkuInfo['price'] : '';
      

        if (!empty($goodsSkuInfo["desc_pic_url"])) {
            $image = explode(",", $goodsSkuInfo["desc_pic_url"]);
            $ksyun = Ksyun::getDownUrl($image, 'merchant-b', 'bp-yidian', 60);
            $descPicUrlList = array_values($ksyun);
        }
 
        $goodsImg = !empty($descPicUrlList[0]) ? $descPicUrlList[0] : '';//商品图片url地址
        //$qr_string = "";//二维码扫描后的内容
        $data['goods_share_id'] = $goodsShareId;
        $data['share_img_url'] = '';
        $data['share_data'] = [
            'goods_img' => $goodsImg,
            'price' => $price,
            'original_price' => $oldPrice,
            'goods_name' => $goodsName,
            'nick_name' => $nickName,
            'avatar' => $avatar,
        ];
        $result = ['result' => $data];
        $this->success($result);
    }

    public function get_marketing_goods_listAction()
    {
        $params = $this->params;
        $list = MarketingGoodsService::getMarketingGoodsList($params);
        $this->success($list);
    }
    
 

}